NXP NFC Reader Library v4.040.05.011646

Data Fields
phTools_Q Struct Reference
Common » Tools

Queue structure of Message Queue. More...

## Data Fields
void * | pSender
| Sender of the message. More...
uint8_t * | pbData
| Content of the message, type of the content is given using bType. More...
uint32_t | dwLength
| Length of the message. More...
uint8_t | bLlcpBuf [6]
| Buffer used to store LLCP formatted PDUs that needs to be sent while processing Message Queue. More...
uint8_t | bLlcpData
| This variable is used to decide if LLCP framed data should be sent or data from application. More...
struct phTools_Q * | pNext
| Pointer to next element in the list/queue. More...
uint16_t | wFrameOpt
| Frame Option can take PH_TRANSMIT_DEFAULT, PH_TRANSMIT_BUFFER_FIRST, PH_TRANSMIT_BUFFER_CONT, or PH_TRANSMIT_BUFFER_LAST. More...
uint8_t | bSenderType
| Type of the sender, used for proper casting of pSender. More...
phTools_Q_Type_t | bType
| Message content type. More...

## Detailed Description

Queue structure of Message Queue.

## Field Documentation

## § pSender

void* phTools_Q::pSender

Sender of the message.

As this is void pointer pointing to the sender's context, bSenderType determines the actual type of the sender to allow proper casting.

## § pbData

uint8_t* phTools_Q::pbData

Content of the message, type of the content is given using bType.

## § dwLength

uint32_t phTools_Q::dwLength

Length of the message.

## § bLlcpBuf

uint8_t phTools_Q::bLlcpBuf[6]

Buffer used to store LLCP formatted PDUs that needs to be sent while processing Message Queue.

## § bLlcpData

uint8_t phTools_Q::bLlcpData

This variable is used to decide if LLCP framed data should be sent or data from application.

## § pNext

struct phTools_Q* phTools_Q::pNext

Pointer to next element in the list/queue.

## § wFrameOpt

uint16_t phTools_Q::wFrameOpt

Frame Option can take PH_TRANSMIT_DEFAULT, PH_TRANSMIT_BUFFER_FIRST, PH_TRANSMIT_BUFFER_CONT, or PH_TRANSMIT_BUFFER_LAST.

## § bSenderType

uint8_t phTools_Q::bSenderType

Type of the sender, used for proper casting of pSender.

## § bType

phTools_Q_Type_t phTools_Q::bType

Message content type.

It can be either data to be sent/received data.

The documentation for this struct was generated from the following file:

- phTools.h